import request from '@/utils/request'

export function listtask(params) {
  return request({
    url: '/api/admin/target/index',
    method: 'get',
    params:params
  })
}

export function store(data) {
  return request({
    url: '/api/admin/target/store',
    method: 'post',
    data
  })
}

export function save(data) {
  return request({
    url: '/api/admin/target/save',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: '/api/admin/target/destroy',
    method: 'get',
    params: {
      id
    }
  })
}

export function get(id) {
  return request({
    url: '/api/admin/target/show',
    method: 'get',
    params: {
      id
    }
  })
}

export function checksave(data) {
  return request({
    url: '/api/admin/target/check-save',
    method: 'post',
    data
  })
}
